package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * Local interface for Tier.
 */
public interface TierLocal extends javax.ejb.EJBLocalObject {

    /**
     * Returns the numinttie
     * @return the numinttie
     */
    public java.lang.Integer getNuminttie();

    /**
     * Returns the emailtie
     * @return the emailtie
     */
    public java.lang.String getEmailtie();

    /**
     * get method relation one
     */
    public TiephyValue getTiephyValue();

    /**
     * get method relation one
     */
    public void setTiephyValue(TiephyValue value);

    /**
     * get method relation one
     */
    public TiemorValue getTiemorValue();

    /**
     * get method relation one
     */
    public void setTiemorValue(TiemorValue value);

    /**
     * Return the value object version of this entity.
     */
    public TierValue getTierValue();

    /**
     * Update the value object version of this entity.
     */
    public void update(TierValue value);

}